*** timer.h.orig	Thu Sep 24 13:31:04 1992
--- timer.h	Thu Dec 23 15:18:30 1993
***************
*** 13,18 ****
--- 13,27 ----
  #include <exec/types.h>
  #include <exec/io.h>
  
+ /* This is somewhat misleading.  It's really not a GNU C dependency,
+    it is a dependency on using ixemul.library and the associated libc.a
+    and include files.  But there is currently no easy way to differentiate
+    the use of GNU C from the intent to use ixemul.library.   -fnf */
+ 
+ #ifdef __GNUC__
+ #include <sys/time.h>
+ #endif
+ 
  /* unit defintions */
  #define UNIT_MICROHZ	0
  #define UNIT_VBLANK	1
***************
*** 22,31 ****
--- 31,50 ----
  
  #define TIMERNAME	"timer.device"
  
+ #ifndef __GNUC__
+ 
  struct timeval {
      ULONG tv_secs;
      ULONG tv_micro;
  };
+ 
+ #else
+ 
+ /* Use the definition in sys/time.h */
+ #define tv_secs  tv_sec
+ #define tv_micro tv_usec
+ 
+ #endif
  
  struct EClockVal {
      ULONG ev_hi;
